package com.shkj.wms.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author lch
 */
@Getter
@AllArgsConstructor
public enum IsWholeOrderEnum {

    /**
     * 部分收货
     */
    PART_ORDER("0", "部分收货"),

    /**
     * 整单收货
     */
    WHOLE_ORDER("1", "整单收货"),
    ;

    private String value;
    private String desc;

    public static IsWholeOrderEnum getIsWholeOrderEnum(String value){
        for (IsWholeOrderEnum orderEnum : IsWholeOrderEnum.values()) {
            if (orderEnum.getValue().equals(value)){
                return orderEnum;
            }
        }
        return null;
    }
}
